## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           rocm-rpm-macros
Version:        6.2
Release:        %autorelease
Summary:        ROCm RPM macros
License:        GPL-2.0-or-later

URL:            https://github.com/trixirt/rocm-rpm-macros
Source0:        macros.rocm
Source1:        GPL
# Modules
Source2:        default
Source3:        gfx8
Source4:        gfx9
Source5:        gfx10
Source6:        gfx11
Source7:        gfx906
Source8:        gfx908
Source9:        gfx90a
Source10:       gfx942
Source11:       gfx1031
Source12:       gfx1036
Source13:       gfx1100
Source14:       gfx1101
Source15:       gfx1102
Source16:       gfx1103
Source17:       default.rhel

%global gpu_list gfx8 gfx9 gfx10 gfx11 gfx90a gfx942 gfx1100 gfx1103

# Just some files
%global debug_package %{nil}

Requires:       environment-modules
ExclusiveArch:  x86_64
%description
This package contains ROCm RPM macros for building ROCm packages.

%package modules
Summary: ROCm enviroment modules
Requires: environment(modules)
Requires: cmake-filesystem

%description modules
This package contains ROCm environment modules for switching
between different GPU families.

%prep
%setup -cT
install -pm 644 %{SOURCE0} .
install -pm 644 %{SOURCE1} .
mkdir modules
%if 0%{?rhel}
install -pm 644 %{SOURCE17} modules/default
%else
install -pm 644 %{SOURCE2} modules
%endif
install -pm 644 %{SOURCE3} modules
install -pm 644 %{SOURCE4} modules
install -pm 644 %{SOURCE5} modules
install -pm 644 %{SOURCE6} modules
install -pm 644 %{SOURCE7} modules
install -pm 644 %{SOURCE8} modules
install -pm 644 %{SOURCE9} modules
install -pm 644 %{SOURCE10} modules
install -pm 644 %{SOURCE11} modules
install -pm 644 %{SOURCE12} modules
install -pm 644 %{SOURCE13} modules
install -pm 644 %{SOURCE14} modules
install -pm 644 %{SOURCE15} modules
install -pm 644 %{SOURCE16} modules

%install
mkdir -p %{buildroot}%{_rpmmacrodir}/
install -Dpm 644 %{SOURCE0} %{buildroot}%{_rpmmacrodir}/
mkdir -p %{buildroot}%{_datadir}/modulefiles/rocm/
cp -p modules/* %{buildroot}%{_datadir}/modulefiles/rocm/
# Make directories users of modules will install to
for gpu in %{gpu_list}
do
    mkdir -p %{buildroot}%{_libdir}/rocm/$gpu/lib/cmake
    mkdir -p %{buildroot}%{_libdir}/rocm/$gpu/bin
done

%files
%license GPL
%{_rpmmacrodir}/macros.rocm

%files modules
%license GPL
%{_libdir}/rocm
%{_datadir}/modulefiles/rocm/

%changelog
## START: Generated by rpmautospec
* Wed Aug 28 2024 Tom Rix <Tom.Rix@amd.com> - 6.2-2
- Start a default set of RHEL

* Thu Aug 08 2024 Tom Rix <Tom.Rix@amd.com> - 6.2-1
- For ROCm 6.2

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jul 03 2024 Tom Rix <trix@redhat.com> - 1.0-23
- Update the pythonpath to 3.13

* Thu May 23 2024 Tom Rix <trix@redhat.com> - 1.0-22
- Add missing _hardening_rocm_ldflags

* Thu May 16 2024 Tom Rix <trix@redhat.com> - 1.0-21
- Add mi300 w7900 to list of specials

* Wed May 15 2024 Tom Rix <trix@redhat.com> - 1.0-20
- For 6.1.1

* Thu May 02 2024 Tom Rix <trix@redhat.com> - 1.0-19
- Add experimental gfx1031

* Fri Apr 12 2024 Tom Rix <trix@redhat.com> - 1.0-18
- Add gfx1100,gfx1101,gfx1102

* Mon Apr 1 2024 Tom Rix <trix@redhat.com> 1.0-16
- Move gfx1103 to its own module

* Sun Mar 31 2024 Tom Rix <trix@redhat.com> 1.0-15
- Add gfx1103 to default

* Fri Mar 29 2024 Tom Rix <trix@redhat.com> 1.0-14
- Add gfx1103 to build

* Tue Mar 5 2024 Tom Rix <trix@redhat.com> 1.0-13
- Add rocm_llvm_ver variable

* Sat Mar 2 2024 Tom Rix <trix@redhat.com> 1.0-12
- Add PYTHONPATH

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 12 2024 Tom Rix <trix@redhat.com> 1.0-9
- Use semicolon seperators

* Tue Dec 12 2023 Tom Rix <trix@redhat.com> 1.0-8
- Add gfx906, gfx908 and gfx90a modules

* Fri Nov 17 2023 Jeremy Newton <alexjnewt at hotmail dot com> 1.0-7
- Add more directory ownership

* Thu Nov 02 2023 Jeremy Newton <alexjnewt at hotmail dot com> 1.0-6
- change package to arched x86_64 to capture the correct libdir

* Sun Oct 22 2023 Tom Rix <trix@redhat.com> 1.0-5
- make directories rocblas will use

* Sat Oct 14 2023 Tom Rix <trix@redhat.com> 1.0-4
- Use fedora repo over personal repo

* Fri Oct 13 2023 Tom Rix <trix@redhat.com> 1.0-3
- Fix license
- Fix dist use in version

* Thu Oct 12 2023 Tom Rix <trix@redhat.com> 1.0-2
- Remove version for macros
- Combine modules as a subpackage

* Sun Oct 8 2023 Tom Rix <trix@redhat.com> 5.7.0-1
- Initial package

## END: Generated by rpmautospec
